package org.rcisoft.bus.wmsgoods.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.rcisoft.bus.wmsgoods.entity.WmsGoods;
import org.rcisoft.bus.wmsgoodsapply.entity.WmsGoodsApply;
import org.rcisoft.bus.wmsgoodslog.entity.WmsGoodsLog;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.ossInfo.entity.OssInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface WmsGoodsService {

    /**
    * 保存 商品信息表
    * @param wmsGoods
    * @return
    */
    CyPersistModel persist(WmsGoods wmsGoods);

    /**
    * 删除 商品信息表
    * @param wmsGoods
    * @return
    */
    CyPersistModel remove(WmsGoods wmsGoods);
    CyPersistModel delOss(WmsGoods wmsGoods);

    /**
    * 逻辑删除 商品信息表
    * @param wmsGoods
    * @return
    */
    CyPersistModel removeLogical(WmsGoods wmsGoods);

    /**
    * 修改 商品信息表
    * @param wmsGoods
    * @return
    */
    CyPersistModel merge(WmsGoods wmsGoods);

    /**
    * 根据id查询 商品信息表
    * @param id
    * @return
    */
    WmsGoods findById(int id);

    /**
    * 分页查询 商品信息表
    * @param wmsGoods
    * @return
    */
    IPage<WmsGoods> findAllByPagination(CyPageInfo<WmsGoods> paginationUtility,
                                        WmsGoods wmsGoods);


    /**
    * 查询list 商品信息表
    * @param wmsGoods
    * @return
    */
    List<WmsGoods> findAll(WmsGoods wmsGoods);


    /**
    * 导出商品信息表
    * @return
    */
    List<WmsGoods> export(WmsGoods wmsGoods);

    /**
     * 根据申请id 查询
     * @param wmsGoodsLog
     * @return
     */
    List<WmsGoods> findByApplyId(WmsGoodsApply wmsGoodsLog);
    List<WmsGoods> findByApplyIdOut(WmsGoodsApply wmsGoodsLog);

    List<WmsGoods> findByIdGoods(int id);

   WmsGoods findByOss (int id);
   List<OssInfo> findOss(WmsGoods wmsGoods);
}
