package org.rcisoft.bus.wmsgoodslog.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.wmsgoodslog.dto.AddLogList;
import org.rcisoft.bus.wmsgoodslog.entity.WmsGoodsLog;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface WmsGoodsLogService {

    /**
    * 保存 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    CyPersistModel persist(WmsGoodsLog wmsGoodsLog);

    /**
    * 删除 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    CyPersistModel remove(WmsGoodsLog wmsGoodsLog);

    /**
    * 逻辑删除 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    CyPersistModel removeLogical(WmsGoodsLog wmsGoodsLog);

    /**
    * 修改 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    CyPersistModel merge(WmsGoodsLog wmsGoodsLog);

    /**
    * 根据id查询 商品记录表
    * @param id
    * @return
    */
    WmsGoodsLog findById(int id);

    /**
    * 分页查询 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    IPage<WmsGoodsLog> findAllByPagination(CyPageInfo<WmsGoodsLog> paginationUtility,
              WmsGoodsLog wmsGoodsLog);


    /**
    * 查询list 商品记录表
    * @param wmsGoodsLog
    * @return
    */
    List<WmsGoodsLog> findAll(WmsGoodsLog wmsGoodsLog);


    /**
    * 导出商品记录表
    * @return
    */
    List<WmsGoodsLog> export(WmsGoodsLog wmsGoodsLog);

    CyPersistModel batchPersist(List<WmsGoodsLog> addLogList);
}
