package org.rcisoft.bus.wmsgoodsstock.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2024年5月29日 下午1:21:49.
 */
@Data
@TableName("wms_goods_stock")
public class WmsGoodsStock extends CyIdIncreEntity<WmsGoodsStock> {


    /**
     * @desc 商品id
     * @column goods_id
     * @default
     */
    @Excel(name = "商品id", orderNum = "0", width = 20)
    private Integer goodsId;

    /**
     * @desc 商品数量
     * @column goods_counts
     * @default
     */
    @Excel(name = "商品数量", orderNum = "9", width = 20)
    private Integer goodsCounts;
    @TableField(exist = false)
    private Integer inventoryValue;

    private String goodsName;

    private String goodsDictName;

    /**
     * @desc 商品编码
     * @column goods_code
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品编码", orderNum = "1", width = 40)
    private String goodsCode;

    /**
     * @desc 商品类型
     * @column goods_style
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品类型", orderNum = "2", width = 20)
    private String goodsStyle;

    /**
     * @desc 商品货号
     * @column goods_article_number
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品货号", orderNum = "3", width = 20)
    private String goodsArtNumber;

    /**
     * @desc 季节
     * @column goods_season
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "季节", orderNum = "4", width = 20)
    private String goodsSeason;

    /**
     * @desc 商品颜色
     * @column goods_colour
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品颜色", orderNum = "5", width = 20)
    private String goodsColour;

    /**
     * @desc 商品规格
     * @column goods_norms
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品规格", orderNum = "6", width = 20)
    private String goodsNorms;

    /**
     * @desc 商品尺码
     * @column goods_size
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品尺码", orderNum = "7", width = 20)
    private String goodsSize;

    /**
     * @desc 品牌
     * @column goods_brand
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "品牌", orderNum = "8", width = 20)
    private String goodsBrand;
}

